compile EAP-FAST support doesn't work

biozaal at mac.com biozaal at mac.com
Wed Sep 14 12:17:09 EDT 2005


Hello,

I'm attempting to build on an IBM Thinkpad R51 using Fedora Core 4 and I do believe it's using the latest version of OpenSSL 0.9.7-f.  I'm attempting to compile in support for an Intel 2100 wireless card and EAP-FAST.  I'm getting an error when attempting to make:

[root at darkside wpa_supplicant-0.4.4]# make
cc -MMD -O2 -Wall -g -I../driver/modules -I../utils -I../hostapd -I/usr/include -Werror -DEAPOL_TEST -DCONFIG_DRIVER_HOSTAP -DCONFIG_DRIVER_WEXT -DCONFIG_DRIVER_IPW -DCONFIG_DRIVER_WIRED -DEAP_FAST -DIEEE8021X_EAPOL -DEAP_TLS_FUNCS -DCONFIG_WIRELESS_EXTENSION -DCONFIG_CTRL_IFACE   -c -o tls_openssl.o tls_openssl.c
cc1: warnings being treated as errors
tls_openssl.c: In function ?tls_connection_set_master_key?:
tls_openssl.c:1599: warning: implicit declaration of function ?SSL_set_session_secret_cb?
tls_openssl.c: In function ?tls_connection_client_hello_ext?:
tls_openssl.c:1659: warning: implicit declaration of function ?SSL_set_hello_extension?
make: *** [tls_openssl.o] Error 1
[root at darkside wpa_supplicant-0.4.4]#  

Looking through the source it looks like that function is used so a mod doesn't have to be compiled into OpenSSL.  I've tried both version 0.3.9 and 0.4.4 and I get the same error.  Any help to fix this would be appreciated.

Thanks,
Aaron LaBeau




More information about the HostAP mailing list